---
title: LakeDrops Dashboard Module
tags:
- projects
---
# Structure of the dashboard

## Building blocks

- Block types
  - basic
- Blocks
  - content_section_block_1
  - content_sub_items_block_subitems_main_front
  - content_sub_items_block_subitems_main_other
  - dashboard_sub_items_block_1
  - dashboard_sub_items_block_2
  - header_from_menu_item_block_1
  - header_from_node_block_1
  - helpdesk_block_1
  - newsboard_block_events
  - newsboard_block_incidents
  - newsboard_block_info
  - versioninfo 
- Media types
  - audio
  - document
  - image
  - pdf
  - svg
  - video
  - videourl
- Menus
  - dashboard
- Node types
  - blog
  - dashboard
  - event
  - incident
  - info
  - internal
  - page
  - portrait
- Paragraph types
  - banner
  - disturber
  - office_hours
- Responsive image styles
  - dashboard
  - full
  - half
  - header
  - logo
  - portrait
  - third
- Taxonomy types
  - document_category
  - tags
- Views
  - content
  - content_section
  - content_sub_items
  - dashboard_sub_items
  - header_from_menu_item
  - header_from_node
  - media
  - newsboard
  - nodes_sub_navigation

## Page structure

### Region "Top Header"

This region produces the header images, videos and carousels. It does it from 2 different sources: current menu item and/or current node.

If the current menu item is from the "Dashboard" menu, we render the display mode "Header" from the current menu item which by default contains the media items from the menu item as a slick slider. Configuration can be adjusted in the view `header_from_menu_item`.

If the current page is a node, we will render the display mode "Header" from that node which by default contains the media items from the node as a slick slider. Attention: if a node type doesn't have a display mode "Header" it falls back to the default display mode and renders the full node content twice. Configuration can be adjusted in the view `header_from_node`.

### Region "Content"

By default this renders the default block title, tabs, primary admin actions and the main page content. In addition, we provide a view `content_sub_items` which displays a list of sub-items of the current menu-item node children.

On the front page this uses a list of top level menu-items of the current menu and on all other pages it uses the sub-items from the current menu-item.

## Dashboard structure

On dashboard pages, we have the same structure as on regular pages. In addition, we render two extra views right before the main content:

### Dashboard Sub-Items

This renders all sub-items as menu-link-items in the display mode "Dashboard".

### Dashboard Menu Item

This renders the current menu-link-item in the display mode "Default".

### Dashboard Menu Item Blocks

The dashboard menu link items can also link to some default blocks, that we provide out of the box. Those blocks are assigned to the invisible region "Dashboard placeholder", otherwise the linked blocks could not be rendered. The available blocks are:

- Content Section: this renders all nodes that have been assigned to a section of the dashboard in the segmentation tab. Configuration can be asjusted in the view `content_section`.
- Dossier: this renders all the media entities of type `document` or `pdf` that are applicable to the current user (see below). Configuration can be asjusted in the view `dossier`.
- Newsboard Events: this renders all event nodes with the flag "Newsboard" being enabled, an event date in the future, and being applicable to the current user (see below).
- Newsboard Incidents: this renders all incident nodes with the flag "Newsboard" being enabled, being applicable to the current user (see below).
- Newsboard Infos: this renders all info nodes with the flag "Newsboard" being enabled, and being applicable to the current user (see below).

### Applicable entities to the current user

Entities are applicable to the current user if they are either not assigned to any inventory entity (means applicable to all users), or the current user has any relation to at least one of the assigned inventory entities.
